DCMD(1)

BEZEICHNUNG
dcmd - expandiert Dateilisten von .dsc-/.changes-Dateien auf der Befehlszeile

ÜBERSICHT
dcmd [Optionen] [Befehl] [changes-Datei|dsc-Datei] ...

BESCHREIBUNG
dcmd ersetzt auf der Befehlszeile alle Bezüge zu .dsc- oder .changes-Dateien mit der Liste der Dateien im Abschnitt »Files« sowie die Datei selbst. Es ermöglicht einfache Manipulation aller an einem Hochladen beteiligten Dateien (für .changes-Dateien) oder in einem Quellpaket (für .dsc-Dateien).

Falls Befehl weggelassen wird (sprich das erste Argument ist eine existierende .dsc- oder .changes-Datei), wird die expandierte Dateiliste auf der Standardausgabe (Stdout) ausgegeben, eine Datei pro Zeile. Nützlich für die Benutzung in rückwärtsgerichteten Hochkommas.

OPTIONEN
Es gibt zahlreiche Optionen, die verwendet werden könnten, um nur eine Untermenge der aufgelisteten Dateien in der .dsc- oder .changes-Datei auszuwählen. Falls eine angeforderte Datei nicht gefunden wurde, wird eine Fehlermeldung ausgegeben.

--dsc
    .dsc-Datei auswählen

--buildinfo
    Select the .buildinfo file.

--schanges
    wählt .changes-Dateien für die »Quell«architektur.

--bchanges
    wählt .changes-Dateien für Binärarchitekturen.

--changes
    wählt .changes-Dateien aus; impliziert --schanges und --bchanges.

--archdeb
    wählt architekturabhängige Binärpakete (.deb-Dateien) aus.

--indepdeb
    wählt architekturunabhängige Binärpakete (.deb-Dateien) aus.

--deb
    wählt Binärpakete (.deb-Dateien) aus; impliziert --archdeb und --indepdeb.

--archudeb
    wählt architekturabhängige .udeb-Binärpakete aus.

--indepudeb
    wählt architekturunabhängige .udeb-Binärpakete aus.

--udeb
    wählt .udeb-Binärpakete aus; impliziert --archudeb und --indepudeb.

--tar, --orig
    wählt die .tar-Datei der Originalautoren aus.

--diff, --debtar
    wählt die Debian-.debian.tar oder Debian-.diff-Datei aus.

Jeder Option kann --no vorangestellt werden, um anzuzeigen, dass alle Dateien, die nicht auf die Spezifikation passen, ausgewählt werden sollen.

Es ist nicht möglich, positive Filteroptionen (z.B. --dsc) und negative Filteroptionen (z.B. --no-changes) im gleichen dcmd-Aufruf zu kombinieren.

--no-fail-on-missing, -r
    gibt keinen Fehler aus, falls irgendwelche angeforderten Dateien nicht gefunden werden.

--package, -p
    gibt nur den Paketnamensteil aus.

--sort, -s
    sortiert die Ausgabe alphabetisch.

--tac, -t
    kehrt die Reihenfolge der Ausgabe um.

BEISPIELE
das Ergebnis des Bauens auf einen anderen Rechner kopieren:

$ dcmd scp rcs_5.7-23_amd64.changes elegiac:/tmp
rcs_5.7-23.dsc                  100%  490     0.5KB/s   00:00
rcs_5.7-23.diff.gz              100%   12KB  11.7KB/s   00:00
rcs_5.7-23_amd64.deb            100%  363KB 362.7KB/s   00:00
rcs_5.7-23_amd64.changes        100% 1095     1.1KB/s   00:00
$

$ dcmd --diff --deb scp rcs_5.7-23_amd64.changes elegiac:/tmp
rcs_5.7-23.diff.gz              100%   12KB  11.7KB/s   00:00
rcs_5.7-23_amd64.deb            100%  363KB 362.7KB/s   00:00
$

den Inhalt eines Quellpakets prüfen:

$ dcmd md5sum rcs_5.7-23.dsc
8fd09ea9654cda128f8d5c337d3b8de7  rcs_5.7.orig.tar.gz
f0ceeae96603e823eacba6721a30b5c7  rcs_5.7-23.diff.gz
5241db1e231b1f43ae5514b63d2523f8  rcs_5.7-23.dsc
$

$ dcmd --no-diff md5sum rcs_5.7-23.dsc
8fd09ea9654cda128f8d5c337d3b8de7  rcs_5.7.orig.tar.gz
5241db1e231b1f43ae5514b63d2523f8  rcs_5.7-23.dsc
$

SIEHE AUCH
dpkg-genchanges(1), dpkg-source(1)

AUTOR
Dieses Programm wurde von Romain Francoise <rfrancoise@debian.org> geschrieben und wird unter der GPL, Version 2 oder später, veröffentlicht.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.